#### Description:

This function returns the upper and lower limits of the box defining the domain of either the forward or inverse transformation of a ChebyMap. These are the values that were supplied when the ChebyMap was created.

#### Synopsis

void astChebyDomain( AstChebyMap ∗this, int forward, double ∗lbnd, double ∗ubnd )

#### Parameters:

##### this

Pointer to the ChebyMap.

##### forward

A non-zero value indicates that the domain of the ChebyMap`’` s forward transformation is to be returned, while a zero value indicates that the domain of the inverse transformation should be returned.

##### lbnd

Pointer to an array in which to return the lower axis bounds of the ChebyMap domain. The number of elements should be at least equal to the number of ChebyMap inputs (if `"` forward`"` is non-zero), or outputs (if `"` forward`"` is zero).

##### ubnd

Pointer to an array in which to return the upper axis bounds of the ChebyMap domain. The number of elements should be at least equal to the number of ChebyMap inputs (if `"` forward`"` is non-zero), or outputs (if `"` forward`"` is zero).

#### Notes:

- If the requested transformation is undefined (i.e. no transformation coefficients were specified when the ChebyMap was created), this method returns a box determined using the astMapBox method on the opposite transformation, if the opposite transformation is defined.

- If the above procedure fails to determine a bounding box, the supplied arrays are filled with AST__BAD values but no error is reported.

Copyright (C) 2021 East Asian Observatory